function r(t) {
  let e = t.parentElement, n = null;
  for (; e && !(e instanceof HTMLFieldSetElement); ) e instanceof HTMLLegendElement && (n = e), e = e.parentElement;
  let l = (e == null ? void 0 : e.getAttribute("disabled")) === "";
  return l && i(n) ? !1 : l;
}
function i(t) {
  if (!t) return !1;
  let e = t.previousElementSibling;
  for (; e !== null; ) {
    if (e instanceof HTMLLegendElement) return !1;
    e = e.previousElementSibling;
  }
  return !0;
}
export {
  r as isDisabledReactIssue7711
};
